
Figure - Bug #112698
测试 Test-IT # 111062 (New): V3.0功能测试

测试 Test-IT # 111067 (New): AF-V3.0--Launcher/SystemUI-任务管理器

【AF】【EVT】【任务管理器】后台无任务时，页面显示不符合UE需求
2022-10-19 11:45 - CD TEST-方永红

Status: CLOSED Start date: 2022-10-19

Priority: Normal Due date: 2022-11-04

Assignee: CD TEST-方永红 % Done: 100%

Category: CD-APP Estimated time: 0.00 hour

Target version: VX1_MCE_FSE_V4.0_20221128

Need_Info: -- Found Version: FlatBuild_VX1_MCE_xx.xx_FSE.D.userdebug.0.0.0.20221019.alpha

Resolution: FIXED Degrated: No

Severity: Normal Verified Version: FlatBuild_HH_VX1_MCE_FSE.M.R.user.01.00.0051.X101

Reproducibility: Every time Fixed Version: 2022-11-24

Test Type: IT Root cause: 编码问题

Description

【前提条件】

1、设备已开机

2、后台有应用

【测试步骤】

1、打开多任务管理器

2、点击全部清除按钮

3、观察页面

4、退出再打开多任务管理器（此时后台无应用）

【预期结果】

2、页面中央有“暂无后台任务应用”的文字提示

4、页面中央有“暂无后台任务应用”的文字提示

【实际结果】

2、页面中央无文字提示

4、页面中央有“近期没有任何内容”的提示

History

#1 - 2022-10-19 13:58 - CD FW 曹覃刚

- Assignee changed from CD FW 曹覃刚 to CD APP-王营

#2 - 2022-10-20 18:31 - CD TPM-王祥林

- Category changed from CD-FW to CD-APP

#3 - 2022-10-20 18:42 - CD APP-王营

- Status changed from New to ASSIGNED

- Assignee changed from CD APP-王营 to CD- App-李朝鹏

#4 - 2022-10-21 11:00 - CDTS-TEST 周婷

- Due date set to 2022-10-21

#5 - 2022-10-21 15:34 - CD- App-李朝鹏

- % Done changed from 0 to 40
■ Current conclusion

属于我开发的部分已修改完成，等待开发小窗的同事修复属于他们的部分，bug及情况已告知对方

#6 - 2022-10-24 16:52 - CD APP-王营

- Assignee changed from CD- App-李朝鹏 to DL FW-王琳

请王琳优化完小窗启动逻辑后将此票转给我们，我们进行联调。

#7 - 2022-10-25 09:05 - DL FW-王琳

My analysis

初步分析是进入recent的时候调用时序上存在问题,     

Next action

需要结合112698 112753 112755 case一起考虑下交互时序的设计.

10/30交付有风险, 建议放到下一个交付节点

#8 - 2022-10-25 10:14 - CDTS-TEST 周婷

- Due date changed from 2022-10-21 to 2022-11-04

#9 - 2022-10-25 14:24 - CDTS-TEST 周婷

- Target version changed from VX1_MCE_FSE_V3.0_20221030 to VX1_MCE_FSE_V3.0_update_20221115

#10 - 2022-10-31 11:53 - DL FW-王琳

- Assignee changed from DL FW-王琳 to DL FW-张挽强

#11 - 2022-11-01 14:56 - CD TPM-王祥林

- Category changed from CD-APP to 窗口定制

#12 - 2022-11-02 14:28 - CDTS-TEST 周婷

- Target version changed from VX1_MCE_FSE_V3.0_update_20221115 to VX1_MCE_FSE_V3.0_update_20221130

需重新梳理方案，11/30 fix

#13 - 2022-11-02 14:28 - CDTS-TEST 周婷

重新梳理方案，11/30 fix

#14 - 2022-11-17 15:00 - CD TPM-王祥林

- Target version changed from VX1_MCE_FSE_V3.0_update_20221130 to VX1_MCE_FSE_V4.0_20221128

#15 - 2022-11-17 15:54 - DL FW-张挽强

- Assignee changed from DL FW-张挽强 to CD APP-王营

#16 - 2022-11-17 18:53 - CD APP-王营

- Category changed from 窗口定制 to CD-APP

- Assignee changed from CD APP-王营 to AF组-RD3_CDTS 罗肖
请按照当前UE和标注图进行修改。

#17 - 2022-11-23 21:57 - AF组-RD3_CDTS 罗肖

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from AF组-RD3_CDTS 罗肖 to CD TEST-方永红

- Fixed Version set to 2022-11-24

■ Current conclusion

解决一键清空后页面没有提示图案和文案的问题

■ My analysis

问题是清空后的逻辑出问题

■Submit URL

https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Launcher3/+/164758

#18 - 2022-11-23 22:02 - CD APP-王营

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Root cause set to 编码问题

#19 - 2022-11-24 17:38 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

- % Done changed from 40 to 100

- Verified Version set to FlatBuild_HH_VX1_MCE_FSE.M.R.user.01.00.0051.X101

11.24

验证通过

#20 - 2022-11-24 17:40 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

#21 - 2022-12-22 20:54 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

164758 general/platform/packages/apps/Launc

her3

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

xiao.luo@thundersoft.com

FW:Launcher3: Fix bug recent empty state1.Add recent empty placeholder.TC-RID: 1201-0205302IssueID: TS-R-DF-112698Change-Id:

Ia83ac1dd0df78848607f7f6ef67bf6c2be1a9a39

Files

recent页面.png 27.8 KB 2022-10-19 CD TEST-方永红
